Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.valueobject
Class SolrResponseDto

    java.lang.Object
      com.gisgraphy.domain.valueobject.SolrResponseDto

    public class SolrResponseDto

extends java.lang.Object

Java Dto for a solr fulltext response. it is used by `FulltextResultsDto`

Author:
  David Masclet

Constructor Summary
`SolrResponseDto(org.apache.solr.common.SolrDocument solrDocument)` Create a `SolrResponseDto` from a `SolrDocument`

Method Summary
`java.lang.String` | `getAdm1_code()`
`java.lang.String` | `getAdm1_name()`
`java.util.Map<java.lang.String,java.util.List<java.lang.String>>` | `getAdm1_names_alternate_localized()`
`java.util.List<java.lang.String>` | `getAdm1_names_alternate()`
`java.lang.String` | `getAdm2_code()`
`java.lang.String` | `getAdm2_name()`
`java.util.Map<java.lang.String,java.util.List<java.lang.String>>` | `getAdm2_names_alternate_localized()`
`java.util.List<java.lang.String>` | `getAdm2_names_alternate()`
`java.lang.String` | `getAdm3_code()`
`java.lang.String` | `getAdm3_name()`
`java.lang.String` | `getAdm4_code()`
`java.lang.String` | `getAdm4_name()`
`java.lang.String` | `getCountry_code()`
`java.lang.String` | `getCountry_flag_url()`
`java.lang.String` | `getCountry_name()`
`java.util.Map<java.lang.String,java.util.List<java.lang.String>>` | `getCountry_names_alternate_localized()`
`java.util.List<java.lang.String>` | `getCountry_names_alternate()`
`java.lang.Integer` | `getElevation()`
`java.lang.String` | `getFeature_class()`
`java.lang.String` | `getFeature_code()`
`java.lang.Long` | `getFeature_id()`
`java.lang.String` | `getFully_qualified_name()`
`java.lang.String` | `getGoogle_map_url()`
`java.lang.Integer` | `getGtopo30()`
`java.lang.Double` | `getLat()`
`java.lang.Double` | `getLng()`
`java.util.Map<java.lang.String,java.util.List<java.lang.String>>` | `getName_alternates_localized()`
`java.util.List<java.lang.String>` | `getName_alternates()`
`java.lang.String` | `getName_ascii()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPlacetype()`
`java.lang.Integer` | `getPopulation()`
`java.lang.String` | `getTimezone()`
`java.lang.String` | `getYahoo_map_url()`
`java.lang.Integer` | `getZipcode()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SolrResponseDto

    public SolrResponseDto(org.apache.solr.common.SolrDocument solrDocument)

  Create a `SolrResponseDto` from a `SolrDocument`

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    the name

### getName_alternates

    public java.util.List<java.lang.String> getName_alternates()

  Returns:
    the name_alternates

### getName_alternates_localized

    public java.util.Map<java.lang.String,java.util.List<java.lang.String>> getName_alternates_localized()

  Returns:
    the name_alternates_localized

### getFeature_id

    public java.lang.Long getFeature_id()

  Returns:
    the feature_id

### getFeature_class

    public java.lang.String getFeature_class()

  Returns:
    the feature_class

### getFeature_code

    public java.lang.String getFeature_code()

  Returns:
    the feature_code

### getName_ascii

    public java.lang.String getName_ascii()

  Returns:
    the name_ascii

### getElevation

    public java.lang.Integer getElevation()

  Returns:
    the elevation

### getGtopo30

    public java.lang.Integer getGtopo30()

  Returns:
    the gtopo30

### getTimezone

    public java.lang.String getTimezone()

  Returns:
    the timezone

### getFully_qualified_name

    public java.lang.String getFully_qualified_name()

  Returns:
    the fully_qualified_name

### getPlacetype

    public java.lang.String getPlacetype()

  Returns:
    the placetype

### getPopulation

    public java.lang.Integer getPopulation()

  Returns:
    the population

### getLat

    public java.lang.Double getLat()

  Returns:
    the lat

### getLng

    public java.lang.Double getLng()

  Returns:
    the lng

### getAdm1_code

    public java.lang.String getAdm1_code()

  Returns:
    the adm1_code

### getAdm2_code

    public java.lang.String getAdm2_code()

  Returns:
    the adm2_code

### getAdm3_code

    public java.lang.String getAdm3_code()

  Returns:
    the adm3_code

### getAdm4_code

    public java.lang.String getAdm4_code()

  Returns:
    the adm4_code

### getAdm1_name

    public java.lang.String getAdm1_name()

  Returns:
    the adm1_name

### getAdm1_names_alternate

    public java.util.List<java.lang.String> getAdm1_names_alternate()

  Returns:
    the adm1_names_alternate

### getAdm1_names_alternate_localized

    public java.util.Map<java.lang.String,java.util.List<java.lang.String>> getAdm1_names_alternate_localized()

  Returns:
    the adm1_names_alternate_localized

### getAdm2_name

    public java.lang.String getAdm2_name()

  Returns:
    the adm2_name

### getAdm2_names_alternate

    public java.util.List<java.lang.String> getAdm2_names_alternate()

  Returns:
    the adm2_names_alternate

### getAdm2_names_alternate_localized

    public java.util.Map<java.lang.String,java.util.List<java.lang.String>> getAdm2_names_alternate_localized()

  Returns:
    the adm2_names_alternate_localized

### getAdm3_name

    public java.lang.String getAdm3_name()

  Returns:
    the adm3_name

### getAdm4_name

    public java.lang.String getAdm4_name()

  Returns:
    the adm4_name

### getZipcode

    public java.lang.Integer getZipcode()

  Returns:
    the zipcode

### getCountry_code

    public java.lang.String getCountry_code()

  Returns:
    the country_code

### getCountry_name

    public java.lang.String getCountry_name()

  Returns:
    the country_name

### getCountry_names_alternate

    public java.util.List<java.lang.String> getCountry_names_alternate()

  Returns:
    the country_names_alternate

### getCountry_names_alternate_localized

    public java.util.Map<java.lang.String,java.util.List<java.lang.String>> getCountry_names_alternate_localized()

  Returns:
    the country_names_alternate_localized

### getCountry_flag_url

    public java.lang.String getCountry_flag_url()

  Returns:
    the country_flag_url

### getGoogle_map_url

    public java.lang.String getGoogle_map_url()

  Returns:
    the google_map_url

### getYahoo_map_url

    public java.lang.String getYahoo_map_url()

  Returns:
    the yahoo_map_url

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.